<?php
namespace Mirasvit\SeoContent\Controller\Adminhtml\Rewrite\Import\Export;

/**
 * Interceptor class for @see \Mirasvit\SeoContent\Controller\Adminhtml\Rewrite\Import\Export
 */
class Interceptor extends \Mirasvit\SeoContent\Controller\Adminhtml\Rewrite\Import\Export implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\App\Action\Context $context, \Magento\Framework\Filesystem $filesystem, \Magento\Framework\App\Response\Http\FileFactory $fileFactory, \Mirasvit\SeoContent\Model\ResourceModel\Rewrite\CollectionFactory $collectionFactory)
    {
        $this->___init();
        parent::__construct($context, $filesystem, $fileFactory, $collectionFactory);
    }

    /**
     * {@inheritdoc}
     */
    public function execute()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'execute');
        return $pluginInfo ? $this->___callPlugins('execute', func_get_args(), $pluginInfo) : parent::execute();
    }

    /**
     * {@inheritdoc}
     */
    public function dispatch(\Magento\Framework\App\RequestInterface $request)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'dispatch');
        return $pluginInfo ? $this->___callPlugins('dispatch', func_get_args(), $pluginInfo) : parent::dispatch($request);
    }
}
